DefaultNameContextGenerator (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.namefind

## Class DefaultNameContextGenerator

- java.lang.Object
- - opennlp.tools.namefind.DefaultNameContextGenerator

- All Implemented Interfaces:
    NameContextGenerator, BeamSearchContextGenerator<String>

      public class DefaultNameContextGenerator
      extends Object
      implements NameContextGenerator

  Class for determining contextual features for a tag/chunk style named-entity recognizer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNameContextGenerator()` Deprecated. use the other constructor and always provide the feature generators
    `DefaultNameContextGenerator(AdaptiveFeatureGenerator... featureGenerators)` Creates a name context generator with the specified cache size.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFeatureGenerator(AdaptiveFeatureGenerator generator)` Adds a feature generator to this set of feature generators.
    `void` | `clearAdaptiveData()` Informs all the feature generators for a name finder that the context of the adaptive data (typically a document) is no longer valid.
    `String[]` | `getContext(int index, String[] tokens, String[] preds, Object[] additionalContext)` Return the context for finding names at the specified index.
    `void` | `updateAdaptiveData(String[] tokens, String[] outcomes)` Informs all the feature generators for a name finder that the specified tokens have been classified with the coorisponds set of specified outcomes.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultNameContextGenerator

          @Deprecated
          public DefaultNameContextGenerator()

      Deprecated. use the other constructor and always provide the feature generators
      Creates a name context generator.

    - #### DefaultNameContextGenerator

          public DefaultNameContextGenerator(AdaptiveFeatureGenerator... featureGenerators)

      Creates a name context generator with the specified cache size.

  - ### Method Detail

    - #### addFeatureGenerator

          public void addFeatureGenerator(AdaptiveFeatureGenerator generator)

      Description copied from interface: `NameContextGenerator`
      Adds a feature generator to this set of feature generators.
      Specified by:
        `addFeatureGenerator` in interface `NameContextGenerator`
      Parameters:
        `generator` - The feature generator to add.

    - #### updateAdaptiveData

          public void updateAdaptiveData(String[] tokens,
                                         String[] outcomes)

      Description copied from interface: `NameContextGenerator`
      Informs all the feature generators for a name finder that the specified tokens have been classified with the coorisponds set of specified outcomes.
      Specified by:
        `updateAdaptiveData` in interface `NameContextGenerator`
      Parameters:
        `tokens` - The tokens of the sentence or other text unit which has been processed.
        `outcomes` - The outcomes associated with the specified tokens.

    - #### clearAdaptiveData

          public void clearAdaptiveData()

      Description copied from interface: `NameContextGenerator`
      Informs all the feature generators for a name finder that the context of the adaptive data (typically a document) is no longer valid.
      Specified by:
        `clearAdaptiveData` in interface `NameContextGenerator`

    - #### getContext

          public String[] getContext(int index,
                                     String[] tokens,
                                     String[] preds,
                                     Object[] additionalContext)

      Return the context for finding names at the specified index.
      Specified by:
        `getContext` in interface `BeamSearchContextGenerator<String>`
      Parameters:
        `index` - The index of the token in the specified toks array for which the context should be constructed.
        `tokens` - The tokens of the sentence. The `toString` methods of these objects should return the token text.
        `preds` - The previous decisions made in the tagging of this sequence. Only indices less than i will be examined.
        `additionalContext` - Addition features which may be based on a context outside of the sentence.
      Returns:
        the context for finding names at the specified index.

Copyright © 2026 The Apache Software Foundation. All rights reserved.